Bug 640734 - Tree: Group Icon does not update accordingly when group membership changes
Tree: Group Icon does not update accordingly when group membership changes
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Sunil Kondkar
:
Depends On:
Blocks: rhq4 gwt-tree
  Show dependency treegraph
 
Reported: 2010-10-06 13:54 EDT by Corey Welton
Modified: 2013-09-02 03:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-06 13:54:42 EDT
Description of problem:

When a group membership type changes, the icon does not (immediately) change in the nav tree. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Inventory > Groups - Create a new, empty group, "foobar"
2. From the group view, note the "blank paper" (mixed group?) icon in the leftnav tree
3. Go to Inventory > Membership  
4. Add a bunch of compatible resource, i.e., linux platforms; save.
5. Upon save, view the leftnav tree.
6. Navigate back to Inventory > Groups and choose your "foobar" group from the list.
7. View the leftnav tree
  
Actual results:
"blank paper icon" remains until the user actually goes back and reloads the group from the main Inventory top-level tab.

Expected results:
Icon should probably update upon determination of group type (platform, server, service) and refresh the tree/icon


Additional info:
Are we actually supposed to see a tree in here too?  I currently don't.
Comment 1 Jay Shaughnessy 2011-02-14 10:50:09 EST
This should be fixed.
Comment 2 Mike Foley 2011-05-02 08:42:17 EDT
verified in RHQ4.0 release candidate #1
Comment 3 Heiko W. Rupp 2013-09-02 03:27:22 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.